#define CONIO3D_INC



//

// A virtual 3d console replacement

// Copyright (c) 1999 by B.Pickhardt (pickhardt@debitel.net).

// aka hackCraft

//



#include "psi3d.h"





class cConio3d {

  public:

  char              *mDisplay;

  INTEG              mPos;

  INTEG              mW;

  INTEG              mH;

  SCALAR             mSize;

  DWORD              mFont;

  cPose              mPose;

  cVector            mBackColor[4];

  cVector            mFrontColor;

  cVector            mCursorColor;

  cVector            mCenter;

  public:

                     cConio3d();

  void               Resize(INTEG w, INTEG h, SCALAR size);

  void               SetFont(DWORD font);

  void               Scroll();

  void               InsertChar(char c);

  void               Insert(char *s);

  void               Draw(cMatrix camera);

};







