#define DOME3D_INC



#include "psi3d.h"





class cDome {

  public:

  SCALAR             mT;

  cVector            mUpColor;

  cVector            mLoColor;

  public:

  void               DrawDome(cMatrix camera);

  void               DrawGround(cMatrix camera, DWORD tx);

  void               DrawClouds(cMatrix camera, DWORD tx);

  void               DrawStuff(cMatrix camera, SCALAR x, SCALAR z, SCALAR s, DWORD tx);

  void               SetDayTime(SCALAR hour);

  void               SetSystemDayTime();

};







