#define PARTIC3D_INC

//
// Stuff for a 3d engine.
// Copyright (c) 1999 by B.Pickhardt (pickhardt@debitel.net).
// aka hackCraft
//

#include "psi3d.h"


class cParticle {
  public:
  SCALAR              mWidth;
  SCALAR              mHeight;
  BOOLEAN             mAlignTo;   // align axis <bitnumset> towards facing when drawing
  cVector             mPosition;
  cVector             mRotation;
  cVector             mForce;     // currently applied force at this moment
  public:
  void                Draw(cMatrix camera, cVector facing);
};



