#ifndef PSI3D_INC

#define PSI3D_INC



#ifdef __linux
#include <GL/xmesa.h>
#endif

#ifdef __win32

#define WIN32_LEAN_AND_MEAN

#include <windows.h>

#endif



#include <GL/glut.h>

#include <string.h>

#include <stdlib.h>

#include <stdio.h>

#include <time.h>

#include <ctype.h>

#include <math.h>



#include "math3d.h"

#include "viewer3d.h"

#include "pose3d.h"

#include "partic3d.h"

#include "util3d.h"

#include "dome3d.h"

#include "bone3d.h"

#include "sprite3d.h"

#include "conio3d.h"

#include "hmap3d.h"  
#include "sound3d.h"




#endif



