//

// Copyright (c) 1999 by B.Pickhardt (pickhardt@debitel.net).

//



#include "psi3d.h"







cPose::cPose()

{

  mTarget = NULL;

}





cMatrix cPose::GetObjectMatrix()

{

  cMatrix m;

  if (mTarget == NULL) {

    m.MakeObjectRot(mPos, mRot);

  } else {

    m.MakeObjectPos(mPos, *mTarget);

  };

  return m;

}





cMatrix cPose::GetCameraMatrix()

{

  cMatrix m;

  if (mTarget == NULL) {

    m.MakeCameraRot(mPos, mRot);

  } else {

    m.MakeCameraPos(mPos, *mTarget);

  };

  return m;

}





